RubyGems Navigation menu

smith 0.8.5

Simple multi-agent framework. It uses AMQP for it's messaging layer.

Versions:

  1. 0.8.9 - September 14, 2016 (43.5 KB)
  2. 0.8.8 - June 17, 2016 (43.5 KB)
  3. 0.8.7 - May 09, 2016 (43.5 KB)
  4. 0.8.6 - April 15, 2016 (43.5 KB)
  5. 0.8.5 - April 06, 2016 (43.5 KB)
Show all versions (38 total)

Runtime Dependencies (17):

  • addressable ~> 2.0
  • amqp ~> 1.0, ~> 1.5
  • curses = 1.0.1
  • daemons ~> 1.1
  • eventmachine ~> 1.0
  • extlib = 0.9.16
  • hashie ~> 2.1
  • logging ~> 2.0
  • multi_json ~> 1.10
  • murmurhash3 = 0.1.4
  • oj >= 2.11.4, ~> 2.11
  • protobuf ~> 3.4
  • ruby_parser ~> 3.6
  • state_machine = 1.1.2
  • sys-proctable ~> 0.9.0
  • toml-rb ~> 0.3
  • trollop ~> 2.0
  • Owners:

    Authors:

    • Richard Heycock

    SHA 256 checksum:

    4e8187e3dd58643e7912b76331b02a91dd0a0066f554bb752ef4e5a865356021

    Total downloads 66,673

    For this version 1,442

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    GPL-3

    Required Ruby Version: >= 0

    Links: